Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.ext
Class JGraphModelAdapter.DefaultCellFactory<VV,EE>

    java.lang.Object
      org.jgrapht.ext.JGraphModelAdapter.DefaultCellFactory<VV,EE>

All Implemented Interfaces:
  java.io.Serializable, JGraphModelAdapter.CellFactory<VV,EE>

Enclosing class:
  JGraphModelAdapter<V,E>

    public static class JGraphModelAdapter.DefaultCellFactory<VV,EE>

extends java.lang.Object
implements JGraphModelAdapter.CellFactory<VV,EE>, java.io.Serializable

A simple default cell factory.

Since:
  Dec 12, 2003
Author:
  Barak Naveh
See Also:
  Serialized Form

Constructor Summary
`JGraphModelAdapter.DefaultCellFactory()`

Method Summary
`org.jgraph.graph.DefaultEdge` | `createEdgeCell(EE jGraphTEdge)` Creates an edge cell that contains its respective JGraphT edge.
`org.jgraph.graph.DefaultGraphCell` | `createVertexCell(VV jGraphTVertex)` Creates a vertex cell that contains its respective JGraphT vertex.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGraphModelAdapter.DefaultCellFactory

    public JGraphModelAdapter.DefaultCellFactory()

Method Detail

### createEdgeCell

    public org.jgraph.graph.DefaultEdge createEdgeCell(EE jGraphTEdge)

  Description copied from interface: `JGraphModelAdapter.CellFactory`
  Creates an edge cell that contains its respective JGraphT edge.

  Specified by:
    `createEdgeCell` in interface `JGraphModelAdapter.CellFactory<VV,EE>`
  Parameters:
    `jGraphTEdge` - a JGraphT edge to be contained.
  Returns:
    an edge cell that contains its respective JGraphT edge.
  See Also:
    `JGraphModelAdapter.CellFactory.createEdgeCell(Object)`

### createVertexCell

    public org.jgraph.graph.DefaultGraphCell createVertexCell(VV jGraphTVertex)

  Description copied from interface: `JGraphModelAdapter.CellFactory`
  Creates a vertex cell that contains its respective JGraphT vertex.

  Specified by:
    `createVertexCell` in interface `JGraphModelAdapter.CellFactory<VV,EE>`
  Parameters:
    `jGraphTVertex` - a JGraphT vertex to be contained.
  Returns:
    a vertex cell that contains its respective JGraphT vertex.
  See Also:
    `JGraphModelAdapter.CellFactory.createVertexCell(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD